Retrieve a Customer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://reference.textline.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Textline API MCP server": {
    "url": "https://reference.textline.com/mcp"
  }
}

Close
GET /api/customer/{uuid}.json

Retrieve the details for a single customer

Path parameters

  • uuid string Required

    Identifier of the Customer to perform action with.

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • customer object
      Hide customer attributes Show customer attributes object
      • avatar_url string | null
      • blocked boolean

        Has this customer has been blocked from sending you messages

      • archived boolean

        Has this customer been archived in your address book

      • name string | null
      • notes string | null
      • phone_number string | null
      • reachable_by_sms boolean

        Is this customer capable of receiving sms

      • tags array
      • uuid string
      • facebook_id string | null
      • custom_fields object

        This is a list of the custom fields created in the account by their uuid and the values for this contact.

        Hide custom_fields attributes Show custom_fields attributes object
        • c43a1766-47e1-4c9c-a2cc-36bf424fcbc0 string
        • 116bad5a-6233-472d-bcf0-199d53342a82 string
      • verified boolean

        This pertains to webchat and whether a contact has gone through the sync process for the conversation.

GET /api/customer/{uuid}.json
curl \
 --request GET 'https://application.textline.com/api/customer/84a2c56f-6b79-4764-811d-90880e2757b4.json'
Response examples (200)
{
  "customer": {
    "avatar_url": "https://example.com/image.png",
    "blocked": false,
    "archived": false,
    "name": "Chuck Finley",
    "notes": "``",
    "phone_number": "(222) 222-2222",
    "reachable_by_sms": true,
    "tags": [
      "foo",
      "bar"
    ],
    "uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
    "facebook_id": "null",
    "custom_fields": {
      "c43a1766-47e1-4c9c-a2cc-36bf424fcbc0": "Custom_Field_1_value",
      "116bad5a-6233-472d-bcf0-199d53342a82": "null"
    },
    "consent_status": true,
    "verified": true
  }
}